if true then return end

local frame

local selectedTab = 1

local RequestedGUID = nil

local ITEM_LEVEL_PATTERN = ITEM_LEVEL:gsub('%%d', '(%%d+)')
local ITEM_UPGRADE_TOOLTIP_FORMAT_PATTERN = ITEM_UPGRADE_TOOLTIP_FORMAT:gsub('%%d', '(%%d+)')

local cached_guids = {}
local orderIcon = {
	
	{ 1, 	"LEFT" },
	{ 2, 	"LEFT" },
	{ 3, 	"LEFT" },
	{ 15, 	"LEFT" },
	{ 5, 	"LEFT" },
	{ 4, 	"LEFT" },
	{ 19, 	"LEFT" },
	{ 9, 	"LEFT" },
	
	{ 10, 	"RIGHT" },
	{ 6, 	"RIGHT" },
	{ 7, 	"RIGHT" },
	{ 8, 	"RIGHT" },
	{ 11, 	"RIGHT" },
	{ 12, 	"RIGHT" },
	{ 13, 	"RIGHT" },
	{ 14, 	"RIGHT" },
	
	{ 16, 	"CENTERLEFT" },
	{ 18, 	"CENTERLEFT" },
	
	{ 17, 	"CENTERRIGHT" },
}

local countToTotalIlvl = {
	[1] = true,
	[2] = true,
	[3] = true,
	[15] = true,
	[5] = true,
	[9] = true,
	
	[10] = true,
	[6] = true,
	[7] = true,
	[8] = true,
	[11] = true,
	[12] = true,
	[13] = true,
	[14] = true,
	
	[16] = true,
	[18] = true,
}


local GetItemItemLevel
do
	local hidegametooltip = CreateFrame("Frame")
	hidegametooltip:Hide()
	local gametooltip = CreateFrame("GameTooltip", "AleaUIInpectFrameItemLevelParserGameToolTip", nil, "GameTooltipTemplate");
	gametooltip:SetOwner( hidegametooltip,"ANCHOR_NONE");
	
	
	function GetItemItemLevel( link )	
		gametooltip:SetHyperlink( link )
		
		local itemLevel, itemUpgrade, itemUpgradeTotal = nil, nil, nil
		
		for i=1, gametooltip:NumLines() do		
			local line = _G[gametooltip:GetName().."TextLeft"..i]:GetText()			
			if line then
				local ilvl = string.match(line, ITEM_LEVEL_PATTERN)	
				local grade1, grade2 = string.match(line, ITEM_UPGRADE_TOOLTIP_FORMAT_PATTERN)
				
				if ilvl and tonumber(ilvl) then
					itemLevel = tonumber(ilvl)
				end			
				
				if grade1 and grade2 and tonumber(grade1) and tonumber(grade2) then
					itemUpgrade = tonumber(grade1)
					itemUpgradeTotal = tonumber(grade2)
				end
			end
		end

		return itemLevel, itemUpgrade, itemUpgradeTotal
	end
end

local function GetData()

		
	if not RequestedGUID then return end
	
	local name, server = UnitFullName('target')
		
	local text = name..( server and "-"..server or '' ) 
	
	local className, classFileName, classIndex = UnitClass('target')
	
	text = text..'\n'..className
	
	frame.header:SetText(text)
		
	local guildPoints, guildNumMembers, guildName = GetInspectGuildInfo('target')	
	if guildName then	
		local guildFaction = UnitFactionGroup('target');			
		if ( guildFaction and guildNumMembers ) then
		
			if guildFaction == 'Horde' then
				frame.header:SetText(frame.header:GetText()..'\n|cFFFF0000'..guildName..'|r')
			else
				frame.header:SetText(frame.header:GetText()..'\n|cFF0000FF'..guildName..'|r')
			end

			frame.header:SetText(frame.header:GetText()..'\n'..format(INSPECT_GUILD_NUM_MEMBERS, guildNumMembers))				
			frame.header:SetText(frame.header:GetText()..'\n'..format('%d очков достижений', guildPoints))
		end
	end
	
	
	local pvpTextLeft = '|cFF505050PvP|r\n'
	local pvpTextRight = '\n'
	local rating, played, won = GetInspectRatedBGData();
	
	pvpTextLeft = pvpTextLeft..'|cFF505050Рейтинговые Поля Боя:|r\n'
	pvpTextRight = pvpTextRight..'\n'
	
	pvpTextLeft = pvpTextLeft..'Игрок:\n'
	pvpTextRight = pvpTextRight..played..'\n'
	
	pvpTextLeft = pvpTextLeft..'Рейтинг:\n'
	pvpTextRight = pvpTextRight..rating..'\n'
	
	pvpTextLeft = pvpTextLeft..'Побед:\n'
	pvpTextRight = pvpTextRight..won..'\n'
	
	for i=1, MAX_ARENA_TEAMS do
		local arenarating, seasonPlayed, seasonWon, weeklyPlayed, weeklyWon = GetInspectArenaData(i);
		
		if i == 1 then
			pvpTextLeft = pvpTextLeft..'|cFF505050Арена 2v2:|r\n'
		elseif i == 2 then
			pvpTextLeft = pvpTextLeft..'|cFF505050Арена 3v3:|r\n'
		elseif i == 3 then
			pvpTextLeft = pvpTextLeft..'|cFF505050Арена 5v5:|r\n'
		end
		
		pvpTextRight = pvpTextRight..'\n'
		
		pvpTextLeft = pvpTextLeft..'Рейтинг:\n'
		pvpTextRight = pvpTextRight..arenarating..'\n'
		
		pvpTextLeft = pvpTextLeft..'Побед:\n'
		pvpTextRight = pvpTextRight..seasonWon..'\n'
	end
	
	frame.moreinfo.date1:SetText(pvpTextLeft)
	frame.moreinfo.date3:SetText(pvpTextRight)
	
	cached_guids[RequestedGUID] = cached_guids[RequestedGUID] or {}
	
	
	-- delete after 20 mins
	cached_guids[RequestedGUID].clearTime = GetTime()+1200
	cached_guids[RequestedGUID].items = cached_guids[RequestedGUID].items or {}
	cached_guids[RequestedGUID].items_iLvl = cached_guids[RequestedGUID].items_iLvl or {}
	
	for i=1, 19 do
		cached_guids[RequestedGUID].items[i] = GetInventoryItemLink("target", i) or cached_guids[RequestedGUID].items[i] or false	
	end
	
	cached_guids[RequestedGUID].glyphs = cached_guids[RequestedGUID].glyphs or {}
	
	for i=1, NUM_GLYPH_SLOTS  do
		local enabled, glyphType, glyphTooltipIndex, glyphSpell, iconFilename, glyphID = GetGlyphSocketInfo(i, 1, true, 'target');		
		cached_guids[RequestedGUID].glyphs[i] = glyphSpell or cached_guids[RequestedGUID].glyphs[i] or false
	end
	
	for i=1, NUM_GLYPH_SLOTS do
		local f_ID = frame.glyphs[i].ID
		if cached_guids[RequestedGUID].glyphs[f_ID] then				
			local name, rank, icon, castTime, minRange, maxRange = GetSpellInfo(cached_guids[RequestedGUID].glyphs[f_ID])				
			frame.glyphs[i].icon:SetTexture(icon)
		else
			frame.glyphs[i].icon:SetColorTexture(0, 0, 0, 0)
		end
		frame.glyphs[i].link = cached_guids[RequestedGUID].glyphs[f_ID]
	end

	local totalItemLevel = 0
	
	local id, name, description, icon, background, role, class = GetSpecializationInfoByID(GetInspectSpecialization('target'))
	
	for i=1, #orderIcon do
		local f_ID = frame.items[i].ID
		if cached_guids[RequestedGUID].items[f_ID] then
			local itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType,itemStackCount, itemEquipLoc, itemTexture, itemSellPrice = GetItemInfo(cached_guids[RequestedGUID].items[f_ID])
		
			local itemLvl, itemUpgrade, itemUpgradeTotal = GetItemItemLevel( itemLink )
	
			cached_guids[RequestedGUID].items_iLvl[itemLink] = cached_guids[RequestedGUID].items_iLvl[itemLink] or itemLvl
			
			local itemLevelFull = cached_guids[RequestedGUID].items_iLvl[itemLink] or itemLevel
			
			if itemRarity and itemRarity > 0 then 
				quality = itemRarity
			end
			
			if quality and quality > 1 then		
				local r, g, b, hex = GetItemQualityColor(quality)
				
				frame.items[i]:SetUIBackdropBorderColor(r,g,b,1)
			else
				frame.items[i]:SetUIBackdropBorderColor(0.1,0.1,0.1,1)
			end

			frame.items[i].icon:SetTexture(itemTexture)
			frame.items[i]:Show()
			
			if countToTotalIlvl[f_ID] then
				frame.items[i].ilvl:SetText( format( ( itemUpgrade and '%d\n%d/%d' or '%d' ), itemLevelFull, itemUpgrade, itemUpgradeTotal))				
				totalItemLevel = totalItemLevel + itemLevelFull
			end
			
		--	frame:Show()
			
			ShowUIPanel(frame)
		else
			frame.items[i].icon:SetColorTexture(0, 0, 0, 0)
			frame.items[i]:Hide()
			
		end
		
		frame.items[i].classID = classIndex
		frame.items[i].specID = id
		frame.items[i].link = cached_guids[RequestedGUID].items[f_ID]
	end
	
	frame.tilvl:SetText('ILvL:'..floor(totalItemLevel/15))
	
	frame.header:SetText((frame.header:GetText() or '')..'\n'..format('%s - %s', (className), name or UNKNOWN))
	
--	frame.specIcon:SetTexture(icon)
--	frame.specIcon:SetTexCoord(0.08, 0.92, 0.08, 0.92)
	
--	SetDesaturation(frame.specIcon, true);
	
	local active_talent_group = GetActiveSpecGroup(true)
	
	for tier=1, MAX_TALENT_TIERS do
		for column=1, NUM_TALENT_COLUMNS do
			local talentID, name, iconTexture, selected, available = GetTalentInfo(tier, column, active_talent_group, true, 'target');
			
			if talentID and name and selected then
				frame.talents[tier][column].icon:SetTexture(iconTexture)
				frame.talents[tier][column].icon:SetDesaturated(false)
				frame.talents[tier][column]:Show()
				frame.talents[tier][column].link = talentID
				frame.talents[tier][column]:SetBackdropBorderColor(1, 1, 1, 1)
			elseif talentID and name then
				frame.talents[tier][column].icon:SetTexture(iconTexture)
				frame.talents[tier][column].icon:SetDesaturated(true)
				frame.talents[tier][column]:Show()
				frame.talents[tier][column].link = talentID
				frame.talents[tier][column]:SetBackdropBorderColor(0, 0, 0, 1)
			end
		end
	end
end

local gametooltipStyled = false

local gametooltip = CreateFrame("GameTooltip", "AleaUIInpectFrameGameToolTip", E.UIParent, "GameTooltipTemplate"); -- Tooltip name cannot be nil	
gametooltip:SetWidth(250)
gametooltip:SetScale(1)

local delayGetting = 0

frame = CreateFrame("Frame", "AleaUIInpectFrame", E.UIParent)
frame:SetSize(350, 450)
frame:SetPoint("CENTER")
frame:Hide()
frame.items = {}
frame.glyphs = {}
frame.talents = {}
frame:RegisterUnitEvent("UNIT_INVENTORY_CHANGED", "target")
frame:RegisterEvent("INSPECT_READY")
frame:RegisterEvent("PLAYER_TARGET_CHANGED")
frame:RegisterEvent('INSPECT_HONOR_UPDATE')
frame:SetToplevel(true)
frame:SetAttribute("UIPanelLayout-defined", true)
frame:SetAttribute("UIPanelLayout-enabled", true)
frame:SetAttribute("UIPanelLayout-area", "left")
frame:SetAttribute("UIPanelLayout-pushable", 5)
frame:SetAttribute("UIPanelLayout-width", 350)
frame:SetAttribute("UIPanelLayout-whileDead", true)

frame.tilvl = frame:CreateFontString(nil, "ARTWORK", "GameFontWhite")
frame.tilvl:SetFont(STANDARD_TEXT_FONT, 12, "OUTLINE")
frame.tilvl:SetPoint("BOTTOMLEFT", frame, "BOTTOMLEFT")
	
frame:SetScript("OnUpdate", function(self, elapsed)
	self.elapsed = self.elapsed or 0 + elapsed
	
	if self.elapsed < 60 then return end
	self.elapsed = 0
	
	local curtime = GetTime()
	
	for k,v in pairs(cached_guids) do
		if v and v.clearTime and ( v.clearTime < curtime ) then				
			cached_guids[k] = nil
		end
	end
end)

frame:SetScript("OnEvent", function(self, event, unit)		
	if event == "PLAYER_TARGET_CHANGED" then
		RequestedGUID = nil
		--frame:Hide()
	--	HideUIPanel(frame)
	end	
	
	if event == "INSPECT_READY" and unit == RequestedGUID then		
		GetData()			
		C_Timer.After(1, GetData)
		C_Timer.After(2, GetData)
	end
	
	if ( event == "INSPECT_HONOR_UPDATE" ) then
	local pvpTextLeft = '|cFF505050PvP|r\n'
	local pvpTextRight = '\n'
	local rating, played, won = GetInspectRatedBGData();
	
	pvpTextLeft = pvpTextLeft..'|cFF505050Rated BG:|r\n'
	pvpTextRight = pvpTextRight..'\n'
	
	pvpTextLeft = pvpTextLeft..'Player:\n'
	pvpTextRight = pvpTextRight..played..'\n'
	
	pvpTextLeft = pvpTextLeft..'Rating:'.. rating ..'\n'
	pvpTextRight = pvpTextRight..rating..'\n'
	
	pvpTextLeft = pvpTextLeft..'Won:'.. won ..'\n'
	pvpTextRight = pvpTextRight..won..'\n'
	
	for i=1, MAX_ARENA_TEAMS do
		local arenarating, seasonPlayed, seasonWon, weeklyPlayed, weeklyWon = GetInspectArenaData(i);
		
		if i == 1 then
			pvpTextLeft = pvpTextLeft..'|cFF505050Arena2v2:|r\n'
		elseif i == 2 then
			pvpTextLeft = pvpTextLeft..'|cFF505050Arena3v3:|r\n'
		elseif i == 3 then
			pvpTextLeft = pvpTextLeft..'|cFF505050Arena5v5:|r\n'
		end
		
		pvpTextRight = pvpTextRight..'\n'
		
		pvpTextLeft = pvpTextLeft..'Rating:\n'
		pvpTextRight = pvpTextRight..arenarating..'\n'
		
		pvpTextLeft = pvpTextLeft..'Won:\n'
		pvpTextRight = pvpTextRight..seasonWon..'\n'
	end
	
	frame.moreinfo.date1:SetText(pvpTextLeft)
	frame.moreinfo.date3:SetText(pvpTextRight)

	end

end)

AleaUI:CreateBackdrop(frame,nil, {0,0,0,1}, {0.1,0.1,0.1,0.9})

local iconSize = 40
local iconStartFrom = -25
for i=1, #orderIcon do

	frame.items[i] = CreateFrame("Frame", frame:GetName().."Item"..i, frame)
	frame.items[i]:SetFrameLevel(frame:GetFrameLevel()+1)
	frame.items[i]:SetSize(iconSize, iconSize)
	
	frame.items[i].ID = orderIcon[i][1]
	
	if orderIcon[i][2] == "LEFT" then
		frame.items[i]:SetPoint("TOPLEFT", frame, "TOPLEFT", 2, iconStartFrom - ( (iconSize+3) * ( i-1 )))
	elseif orderIcon[i][2] == "RIGHT" then
		frame.items[i]:SetPoint("TOPRIGHT", frame, "TOPRIGHT", -2, iconStartFrom - ( (iconSize+3) * ( i-9 )))
	elseif orderIcon[i][2] == "CENTERRIGHT" then
		frame.items[i]:SetPoint("BOTTOM", frame, "BOTTOM",  2 + iconSize*0.5, 5)
	elseif orderIcon[i][2] == "CENTERLEFT" then
		frame.items[i]:SetPoint("BOTTOM", frame, "BOTTOM", -2 - iconSize*0.5, 5)
	end
	
	frame.items[i].icon = frame.items[i]:CreateTexture(nil, "ARTWORK")
	frame.items[i].icon:SetAllPoints()
	frame.items[i].icon:SetColorTexture(1, 0, 0, 1)
	frame.items[i].icon:SetTexCoord(unpack(AleaUI.media.texCoord))
	
	frame.items[i].ilvl = frame.items[i]:CreateFontString(nil, "ARTWORK", "GameFontWhite")
	frame.items[i].ilvl:SetFont(E.media.default_font2, 12, "OUTLINE")
	frame.items[i].ilvl:SetPoint("BOTTOMRIGHT", frame.items[i], "BOTTOMRIGHT")
	
	AleaUI:CreateBackdrop(frame.items[i], nil, {0,0,0,1}, {0,0,0,0.6})
	
	frame.items[i]:EnableMouse(true)
	frame.items[i]:SetScript("OnEnter", function(self)		
		if self.link then
		
			if not gametooltipStyled then
				gametooltipStyled = true
				Skins:StyleTooltipsCustom(gametooltip)
			end
			
			gametooltip:SetOwner(self, "ANCHOR_TOPRIGHT")		
			gametooltip:SetHyperlink(self.link, self.classID, self.specID)
			gametooltip:Show()
		end
	end)
	frame.items[i]:SetScript("OnLeave", function(self)
		gametooltip:Hide()
	end)
end

local frm = CreateFrame("PlayerModel", nil, frame);
frm:SetPoint("CENTER",frame,"CENTER",0,-40);
frm:SetSize(250, 350)
frm:SetRotation(math.pi*0.15)


local mover = CreateFrame("Frame", frame:GetName().."Mover", frame)
mover:SetSize(15, 15)
mover:SetPoint("BOTTOMLEFT", frame, "TOPLEFT", 0, 0)
mover:SetPoint("BOTTOMRIGHT", frame, "TOPRIGHT", 150, 0)

local moverbg = mover:CreateTexture(nil, 'BACKGROUND')
moverbg:SetAllPoints()

mover:EnableMouse(true)
mover:RegisterForDrag("LeftButton")

frame.close = CreateFrame("Button", nil, mover, 'UIPanelCloseButton')
frame.close:SetFrameLevel(mover:GetFrameLevel()+5)
frame.close:SetSize(32, 32)	
frame.close:SetPoint("TOPRIGHT", mover, "TOPRIGHT", -1, -10)	

frame.close:SetScript("OnClick", function() 
	HideUIPanel(frame) 
	RequestedGUID = nil
	--frame:Hide() 
end)

frame.header = frame:CreateFontString(nil, "ARTWORK", "GameFontWhite")
frame.header:SetPoint("TOP", frame, "TOP")
frame.header:SetText("")
frame.header:SetJustifyH("CENTER")


frame.moreinfo = CreateFrame("Frame", frame:GetName().."MoreInfo", frame)
frame.moreinfo:SetSize(150, 150)
frame.moreinfo:SetPoint("TOPLEFT", frame, "TOPRIGHT")
frame.moreinfo:SetPoint("BOTTOMLEFT", frame, "BOTTOMRIGHT")

frame.moreinfo.date1 = frame.moreinfo:CreateFontString(nil, 'ARTWORK', 'GameFontWhite')
frame.moreinfo.date1:SetPoint("TOPLEFT", frame.moreinfo, "TOPLEFT", 2, 0)
frame.moreinfo.date1:SetText("Data1")
frame.moreinfo.date1:SetJustifyH("LEFT")

frame.moreinfo.date3 = frame.moreinfo:CreateFontString(nil, 'ARTWORK', 'GameFontWhite')
frame.moreinfo.date3:SetPoint("TOPRIGHT", frame.moreinfo, "TOPRIGHT", -2, 0)
frame.moreinfo.date3:SetText("Data1")
frame.moreinfo.date3:SetJustifyH("RIGHT")

AleaUI:CreateBackdrop(frame.moreinfo,nil, {0,0,0,1}, {0.1,0.1,0.1,0.9})

local glyphOrder = {
	{ 2, "TOP" }, -- 3
	{ 6, "TOP" }, -- 2
	{ 4, "TOP" }, -- 1
	{ 1, "BOTTOM" }, -- 3
	{ 3, "BOTTOM" }, -- 2
	{ 5, "BOTTOM" }, -- 1
}

local glyphsSize = 20
local glyphHeight = 30
local topglyphsSize = glyphsSize + 5

for i=1, 6 do

	frame.glyphs[i] = CreateFrame("Frame", frame:GetName().."Glyph"..i, frame)
	frame.glyphs[i]:SetFrameLevel(frame:GetFrameLevel()+1)
	frame.glyphs[i]:SetSize(glyphsSize, glyphsSize)
	
	frame.glyphs[i].ID = glyphOrder[i][1]

	if glyphOrder[i][2] == 'TOP' then
		frame.glyphs[i]:SetSize(topglyphsSize, topglyphsSize)
		frame.glyphs[i]:SetPoint("BOTTOMRIGHT", frame.moreinfo, "BOTTOMRIGHT", -topglyphsSize + ( -(topglyphsSize+4)*(i-1) ), topglyphsSize+5 )
	elseif glyphOrder[i][2] == 'BOTTOM' then
		frame.glyphs[i]:SetPoint("BOTTOMRIGHT", frame.moreinfo, "BOTTOMRIGHT", -glyphHeight + ( -(glyphsSize+4)*(i-4) ), 5 )
	end
	
	frame.glyphs[i].icon = frame.glyphs[i]:CreateTexture(nil, "ARTWORK")
	frame.glyphs[i].icon:SetAllPoints()
	frame.glyphs[i].icon:SetColorTexture(1, 0, 0, 1)
	frame.glyphs[i].icon:SetTexCoord(0.1, 0.9, 0.1, 0.9)
	
	AleaUI:CreateBackdrop(frame.glyphs[i], nil, {0,0,0,1}, {0,0,0,0.6})
	
	frame.glyphs[i]:EnableMouse(true)
	frame.glyphs[i]:SetScript("OnEnter", function(self)		
		if self.link then
		
			if not gametooltipStyled then
				gametooltipStyled = true
				Skins:StyleTooltipsCustom(gametooltip)
			end
			
			gametooltip:SetOwner(self, "ANCHOR_TOPRIGHT")		
			gametooltip:SetSpellByID(self.link)
			gametooltip:Show()
		end
	end)
	frame.glyphs[i]:SetScript("OnLeave", function(self)
		gametooltip:Hide()
	end)
end

do
	local talentSize = 24
	local startFrom = 190
	local step = 35
	local dir = -1
	
	for tier=1, MAX_TALENT_TIERS do	
		frame.talents[tier] = {}
		
		for col = 1, 3 do 
		
			local f = CreateFrame("Frame", frame:GetName().."Talent"..tier..'Col'..col, frame)
			f:SetFrameLevel(frame:GetFrameLevel()+1)
			f:SetSize(talentSize, talentSize)

			f:SetPoint("TOPLEFT", frame.moreinfo, "TOPLEFT", step-(talentSize+5)*(col-1)*dir , -startFrom + ( -(talentSize+4)*(tier-1) ) )

			f.icon = f:CreateTexture(nil, "ARTWORK")
			f.icon:SetAllPoints()
			f.icon:SetColorTexture(1, 0, 0, 1)
			f.icon:SetTexCoord(0.1, 0.9, 0.1, 0.9)
			
			AleaUI:CreateBackdrop(f, nil, {0,0,0,1}, {0,0,0,0.6})
			
			f:EnableMouse(true)
			f:SetScript("OnEnter", function(self)					
				if self.link then
					
					if not gametooltipStyled then
						gametooltipStyled = true
						Skins:StyleTooltipsCustom(gametooltip)
					end
			
					gametooltip:SetOwner(self, "ANCHOR_TOPRIGHT")					
					gametooltip:SetTalent(self.link)
					gametooltip:Show()
				end
			end)
			f:SetScript("OnLeave", function(self)
				gametooltip:Hide()
			end)
			
			
			frame.talents[tier][col] = f
		end
	end

end

tinsert(UISpecialFrames, "AleaUIInpectFrame")

local function ShowInspect(unit)

	if CanInspect(unit) then
		RequestedGUID = UnitGUID(unit)
		frm:SetUnit(unit)		
		delayGetting = GetTime()
		
		if ( not HasInspectHonorData() ) then
			RequestInspectHonorData();
		end
		
	end
end

local function InitInspect()	
	hooksecurefunc("InspectFrame_Show", function(unit)
		INSPECTED_UNIT = nil
		InspectFrame.unit = nil				
		ShowInspect(unit)
	end)
end

AleaUI:OnInit2(function()
	if InspectFrame_Show then
		InitInspect()	
	else
		AleaUI:OnAddonLoad('Blizzard_InspectUI', InitInspect)
	end
end)
