local Skins = AleaUI:Module("Skins")
local _G = _G

local default_background_color = Skins.default_background_color
local default_border_color = Skins.default_border_color
local default_font = Skins.default_font
local default_texture = Skins.default_texture

local default_button_background = Skins.default_button_background
local default_button_border 	= Skins.default_button_border
local default_border_color_dark = Skins.default_border_color_dark

local varName = 'friendsframe'
AleaUI.default_settings.skins[varName] = true

local function Skin_FriendsFrame()
	if not AleaUI.db.skins.enableAll then return end
	if not AleaUI.db.skins[varName] then return end

	_G['FriendsFrame']:StripTextures()
	_G['FriendsFrameInset']:StripTextures()
--	_G['FriendsFrameFriendsScrollFrame']:StripTextures()

	Skins.ThemeBackdrop('FriendsFrame')	

	_G['FriendsFrameIcon']:SetAlpha(0)

	for i=1, 4 do
		Skins.ThemeTab('FriendsFrameTab'..i)	
	end

	for i=1, 3 do
		Skins.ThemeUpperTabs(_G["FriendsTabHeaderTab"..i])
	end
		
	IgnoreListFrameTop:Kill()
	IgnoreListFrameMiddle:Kill()
	IgnoreListFrameBottom:Kill()
--	PendingListFrameTop:Kill()
--	PendingListFrameMiddle:Kill()
--	PendingListFrameBottom:Kill()

	for i=1, 4 do
		_G["WhoFrameColumnHeader"..i]:StripTextures(true)
	end
		
	Skins.ThemeButton('FriendsFrameAddFriendButton')
	Skins.ThemeButton('FriendsFrameSendMessageButton')
	Skins.ThemeButton('FriendsFrameIgnorePlayerButton')
	Skins.ThemeButton('FriendsFrameUnsquelchButton')

	Skins.ThemeScrollBar('FriendsFrameIgnoreScrollFrameScrollBar')
	Skins.ThemeScrollBar('QuickJoinScrollFrameScrollBar')
	Skins.ThemeScrollBar('FriendsFrameFriendsScrollFrameScrollBar')

	Skins.ThemeButton(QuickJoinFrame.JoinQueueButton)
	
	WhoFrameListInset:StripTextures()
	WhoFrameListInsetBg:Kill()

	Skins.ThemeScrollBar('WhoListScrollFrameScrollBar')

	WhoFrameEditBoxInset:StripTextures()
		
	local border, parent = Skins.ThemeEditBox('WhoFrameEditBox')
	border:SetPoint('TOPLEFT', parent, 'TOPLEFT', -5, -3)
	border:SetPoint('BOTTOMRIGHT', parent, 'BOTTOMRIGHT', 23, 8)

	Skins.ThemeDropdown('WhoFrameDropDown')

	Skins.ThemeButton('WhoFrameWhoButton')	
	Skins.ThemeButton('WhoFrameAddFriendButton')
	Skins.ThemeButton('WhoFrameGroupInviteButton')

	WhoFrameWhoButton:ClearAllPoints()
	WhoFrameWhoButton:SetPoint('BOTTOMLEFT', WhoFrame, 'BOTTOMLEFT', 7, 4)
	WhoFrameWhoButton:SetWidth(WhoFrameWhoButton:GetWidth()-3)

	WhoFrameAddFriendButton:ClearAllPoints()
	WhoFrameAddFriendButton:SetPoint('LEFT', WhoFrameWhoButton, 'RIGHT', 3, 0)
	WhoFrameAddFriendButton:SetWidth(WhoFrameAddFriendButton:GetWidth()-7)

	WhoFrameGroupInviteButton:ClearAllPoints()
	WhoFrameGroupInviteButton:SetPoint('LEFT', WhoFrameAddFriendButton, 'RIGHT', 3, 0)
	WhoFrameGroupInviteButton:SetWidth(WhoFrameAddFriendButton:GetWidth()+8)

	ChannelFrameRightInset:StripTextures()
	ChannelFrameLeftInset:StripTextures()

	Skins.ThemeScrollBar('ChannelRosterScrollFrameScrollBar')
	Skins.ThemeButton('ChannelFrameNewButton')
	Skins.ThemeButton('RaidFrameRaidInfoButton')
	Skins.ThemeButton('RaidFrameConvertToRaidButton')

	RaidInfoFrame:StripTextures()
	Skins.ThemeBackdrop('RaidInfoFrame')
	Skins.ThemeScrollBar('RaidInfoScrollFrameScrollBar')
	RaidInfoFrameHeader:Hide()
	AleaUI:CreateBackdrop(RaidInfoFrame, RaidInfoFrameHeader, default_border_color, default_background_color, 'ARTWORK', 1)
	RaidInfoFrameHeaderText:SetFont(default_font, Skins.default_font_size, 'NONE')
	RaidInfoFrameHeader:SetSize(110, 35)
	RaidInfoFrameHeader:SetUIBackgroundDrawLayer('ARTWORK')
	RaidInfoFrameHeader:SetUIBorderDrawLayer('ARTWORK')
	Skins.ThemeButton('RaidInfoExtendButton')
	Skins.ThemeButton('RaidInfoCancelButton')


	RaidInfoInstanceLabel:StripTextures(true)
	RaidInfoIDLabel:StripTextures(true)

	for i=1, 15 do
		_G["ChannelButton"..i..'NormalTexture']:SetAlpha(0)
		_G["ChannelButton"..i..'NormalTexture'].SetAlpha = function()end
		
		_G["ChannelButton"..i..'Text']:SetFont(default_font, Skins.default_font_size, 'NONE')
	end


	FriendsFrameBattlenetFrame.BroadcastButton:ClearAllPoints()
	FriendsFrameBattlenetFrame.BroadcastButton:SetSize(20, 20)
	FriendsFrameBattlenetFrame.BroadcastButton:SetPoint('RIGHT', FriendsFrameStatusDropDown, 'LEFT', 5, 3)
	FriendsFrameBattlenetFrame.BroadcastButton:GetNormalTexture():SetTexCoord(.28, .72, .28, .72)
	FriendsFrameBattlenetFrame.BroadcastButton:GetPushedTexture():SetTexCoord(.28, .72, .28, .72)
	FriendsFrameBattlenetFrame.BroadcastButton:GetHighlightTexture():SetTexCoord(.28, .72, .28, .72)
	Skins.ThemeButtonBackdrop(FriendsFrameBattlenetFrame.BroadcastButton)

	FriendsFrameBattlenetFrame.BroadcastFrame:StripTextures()
	Skins.ThemeBackdrop(FriendsFrameBattlenetFrame.BroadcastFrame)

	Skins.ThemeDropdown(FriendsFrameStatusDropDown)

--	FriendsFrameBattlenetFrameScrollFrame:StripTextures()
	Skins.ThemeBackdrop(FriendsFrameBattlenetFrameScrollFrame)
	Skins.ThemeButton(FriendsFrameBattlenetFrameScrollFrame.UpdateButton)
	Skins.ThemeButton(FriendsFrameBattlenetFrameScrollFrame.CancelButton)

	Skins.SetAllFontString(FriendsFrameBattlenetFrame.BroadcastFrame, default_font,Skins.default_font_size, 'NONE')

	Skins.ThemeCheckBox(RaidFrameAllAssistCheckButton)

	RaidFrameRaidDescription:SetFont(default_font, Skins.default_font_size, 'NONE')
end

AleaUI:OnInit2(Skin_FriendsFrame)
